@import '~react-table/react-table.css';

.table-container {
  .table-container__table {
    .ReactTable {
      --header-border: #eee;
      --header-bg: #fafafa;
      --header-color: #908f8f;
      --cell-bg: white;
      --odd-row-bg: white;
      --even-row-bg: #fbfbfb;
      --odd-row-color: var(--base-black);
      --even-row-color: var(--base-black);
      --sort-icon-size: 11px;
      --pagination-inactive-bg: white;
      --pagination-inactive-border: 1px solid #d9d7d7;
      border: none;

      .status {
        padding: 2px 5px 2px 15px;
        border-radius: 3px;
        font-size: 11px;
        position: relative;

        &.status--Enabled {
          --status-color: green;
          border: 1px solid var(--status-color);
          color: var(--status-color);

          &::after {
            content: ' ';
            display: block;
            position: absolute;
            top: 5px;
            left: 4px;
            min-height: 6px;
            width: 9px;
            background: transparent;
            border-left: 2px solid var(--status-color);
            border-bottom: 2px solid var(--status-color);
            transform: rotate(-45deg);
          }
        }

        &.status--Disabled {
          --status-color: red;
          border: 1px solid var(--status-color);
          color: var(--status-color);

          &::after {
            content: ' ';
            position: absolute;
            top: 4px;
            left: 6px;
            width: 1px;
            height: 10px;
            border: 1px solid var(--status-color);
            transform: rotate(45deg);
          }

          &::before {
            content: ' ';
            position: absolute;
            top: 4px;
            left: 6px;
            width: 1px;
            height: 10px;
            border: 1px solid var(--status-color);
            transform: rotate(-45deg);
          }
        }
      }

      .rt-table {
        font-family: var(--font-first);
        font-size: var(--font-s);
        font-weight: 500;
        background: var(--cell-bg);
        padding: 0  15px 0 15px;

        .rt-thead.-header {
          font-size: var(--font-xs);
          color: var(--header-color);
          background: var(--header-bg);
          box-shadow: none;
          border-top: 1px solid var(--header-border);
          border-bottom: 1px solid var(--header-border);

          // &:first-child{
          //   padding-left: 15px;
          // }

          .rt-tr {
            .rt-th {
              padding-top: 13px;
              padding-bottom: 13px;
              text-align: left;
              display: flex;
              align-items: center;

              &.-cursor-pointer {
                box-shadow: unset;

                &::after {
                  content: ' ';
                  background: url('../assets/icons/sort.png') center no-repeat;
                  background-size: var(--sort-icon-size);
                  margin-left: 5px;
                  display: block;
                  width: var(--sort-icon-size);
                  height: var(--sort-icon-size);
                  opacity: 0.3;
                }

                &.-sort-asc {
                  &::after {
                    background: url('../assets/icons/sort-asc.png') center no-repeat;
                    background-size: var(--sort-icon-size);
                    opacity: 0.7;
                  }
                }

                &.-sort-desc {
                  &::after {
                    background: url('../assets/icons/sort-desc.png') center no-repeat;
                    background-size: var(--sort-icon-size);
                    opacity: 0.7;
                  }
                }
              }
            }
          }
        }

        .rt-tbody {
          overflow: unset;
          .rt-tr-group {
            .rt-tr {
              cursor: pointer;

              .rt-td {
                border-right: 0;
                padding-top: 6px;
                padding-bottom: 6px;
                display: flex;
                overflow: hidden;
                align-items: center;
              }

              &.-odd {
                background: var(--odd-row-bg);
                color: var(--odd-row-color);
              }

              &.-even {
                background: var(--even-row-bg);
                color: var(--even-row-color);
              }
              &:hover{
                background-color: #9e9e9e1f;
              }
            }
          }
        }
      }

      .table__pagination {
        display: flex;
        flex-direction: row;
        justify-content: center;
        padding: 15px;

        .table__pagination-page-link {
          text-align: center;
          background: var(--pagination-inactive-bg);
          border: var(--pagination-inactive-border);
          margin-right: 10px;
          min-height: 30px;
          min-width: 30px;
          display: flex;
          flex-direction: row;
          align-items: center;
          justify-content: center;
          cursor: pointer;

          a {
            color: var(--base-black);
            cursor: pointer;
          }

          &.table__pagination-page-link--active {
            background :var(--primary);
            border-radius: 2px;

            a {
              color: white;
            }
          }
        }
      }

      .-pagination {
        margin: 0  15px 0 15px;

        .-previous{
          max-width: 0  !important;
          min-width: 0  !important;
          position: absolute;
          margin: -3px 0 0 165px;
        }
        .-next{
          max-width: 0 !important;
          min-width: 0 !important;
          position: absolute;
          margin: -3px 0 0 200px;
          color: black;
        }
        .-center {
          justify-content: space-between;
      }
        
        .-previous,
        .-next {
          button {
            background: unset;
            color: black;
            font-size: 30px;
            font-weight: 900;
            .arrow-table{
              height: 22px;
            }
          }
        }
      }

      .rt-noData {
        background: transparent;
        cursor: unset;
        top: 60px;
        font-weight: 600;
        padding: 5px;
      }

      .rt-tbody {
        min-height: var(--input-height-l);
      }


      &.table--checked {
        .rt-thead.-header {
          .rt-tr {
            .rt-th {
              padding-top: 5px;
              padding-bottom: 5px;
            }
          }
        }

        .rt-thead .rt-tr .rt-th:first-child,
        .rt-tbody .rt-tr-group .rt-tr .rt-td:first-child {
          margin-left: 5px;

          input[type='checkbox'] {
            --checkbox-dimensions: 18px;
            --checkbox-tick-color: white;
            -webkit-appearance: none;
            width: var(--checkbox-dimensions);
            height: var(--checkbox-dimensions);
            min-width: var(--checkbox-dimensions);
            min-height: var(--checkbox-dimensions);
            border: 1px solid darkgray;
            outline: none;
            box-shadow: none;
            position: relative;
            transition: border 0.2s ease-in;
            -moz-transition: border 0.2s ease-in;
            -webkit-transition: border 0.2s ease-in;
            cursor: pointer;
          }

          input[type='checkbox']:checked,
          input[type='checkbox']:hover {
            border: 1px solid var(--primary);
          }

          input[type='checkbox']:checked {
            background: var(--primary);
          }

          input[type='checkbox']::before {
            content: '';
            display: block;
            width: calc( 0.3 * var(--checkbox-dimensions));
            height: calc(0.5 * var(--checkbox-dimensions));
            position: absolute;
            top: 2px;
            right: 4px;
            border-right: 1px solid var(--checkbox-tick-color);
            border-bottom: 1px solid var(--checkbox-tick-color);
            transform: scale(0);
          }

          input[type='checkbox']:checked::before {
            transform: rotateZ(45deg) scale(1.25);
          }
        }
        .rt-thead.-header:first-child {
          padding-left: 0 !important;
        }
      }
      .pagination-bottom {
        background-color: white;
        .-btn{
          font-size: var(--font-xs);
          min-width: unset;
          height: 25px;
          padding: 0px;
          margin: 0;
        }
    }
    button.square-btn.btn {
      font-size: var(--font-xs);
      min-width: unset;
      width: 115px;
      padding: 3px 0px;
      margin: 0;
  }
    }
  }
  // .ReactTable .-pagination .-pageSizeOptions{
  //   display: none;
  // }
  .pl-td{
    padding-left: 15px;
  }
}


.tableDeleteButton {
  display: none;
}


// .btn {
//     display: none;
// }
// .ReactTable .rt-tbody .rt-tr-group:hover  .btn{
//     display: inline-block;
// }